package esercitazione5es1;

import static org.junit.Assert.*;

import org.junit.Test;

public class InterfaceBased {

	@Test
	public void test1() {
		int a=0;
		int b=3;
		int c=4;
		Equazioni e1= new Equazioni();
		e1.numsolutions(a, b, c);
	}
	
	@Test
	public void test2() {
		int a=0;
		int b=-3;
		int c=4;
		Equazioni e1= new Equazioni();
		e1.numsolutions(a, b, c);
	}
	
	@Test
	public void test3() {
		int a=4;
		int b=3;
		int c=4;
		Equazioni e1= new Equazioni();
		e1.numsolutions(a, b, c);
	}
	
	@Test
	public void test4() {
		int a=5;
		int b=-3;
		int c=4;
		Equazioni e1= new Equazioni();
		e1.numsolutions(a, b, c);
	}

	
}
